Subject: Re: bug#58464: 28.1; browse-url-emacs doesn't work for local files on Windows

From: Eli Zaretskii <[email-masked]>
Date: Thu, 13 Oct 2022 13:29:25 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 13 Oct 2022 09:54:52 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> browse-url-emacs takes any URL, not just file:// URL.
> >> 
> >> (browse-url-emacs "https://gnus.org/") "works fine", except for the same
> >> error messages.
> >
> > But this bug report ius about file:// URLs, not about anything else.
> 
> I've now fixed the general problem, and I think I've also fixed the
> Windows-specific file:-specific problem on the trunk.

Thanks.  But this part:

  -  if (NILP (handler) && !NILP (visit) && current_buffer->modtime.tv_nsec < 0)
  +  if (save_errno != 0)

might cause us signal an error when VISIT is nil, something that
didn't happen before.

(I also am not sure it is 100% reliable to rely on save_errno being
non-zero whenever we encounter an error, especially in the
file-handlers case.)